From: Daniel Swarbrick <dswarbrick@debian.org>
Date: Sat, 17 Jun 2023 16:01:51 +0200
Subject: Revert alecthomas/kingpin import path

Forwarded: not-needed
Last-Update: 2023-06-17

Newer versions of alecthomas/kingpin use a different import path. This patch
can be dropped once the golang-gopkg-alecthomas-kingpin.v2-dev package is
updated and provides the new import path.
---
 main.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/main.go b/main.go
index 593c2c3..f5d044e 100644
--- a/main.go
+++ b/main.go
@@ -29,7 +29,6 @@ import (
 	"strings"
 	"syscall"
 
-	"github.com/alecthomas/kingpin/v2"
 	"github.com/golang/snappy"
 	"github.com/prometheus/client_golang/prometheus"
 	"github.com/prometheus/client_golang/prometheus/promhttp"
@@ -38,6 +37,7 @@ import (
 	"github.com/prometheus/common/route"
 	"github.com/prometheus/common/version"
 	"github.com/prometheus/exporter-toolkit/web"
+	"gopkg.in/alecthomas/kingpin.v2"
 
 	versioncollector "github.com/prometheus/client_golang/prometheus/collectors/version"
 	dto "github.com/prometheus/client_model/go"
